/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the Qt Mobility Components.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QGALLERYCOUNTREQUEST_H
#define QGALLERYCOUNTREQUEST_H

#include "qgalleryabstractrequest.h"

#include "qgalleryfilter.h"

QTM_BEGIN_NAMESPACE

class QGalleryFilter;

class QGalleryCountRequestPrivate;

class Q_GALLERY_EXPORT QGalleryCountRequest : public QGalleryAbstractRequest
{
    Q_OBJECT
    Q_DECLARE_PRIVATE(QGalleryCountRequest)
    Q_PROPERTY(bool live READ isLive WRITE setLive)
    Q_PROPERTY(QString itemType READ itemType WRITE setItemType)
    Q_PROPERTY(QGalleryFilter filter READ filter WRITE setFilter NOTIFY filterChanged)
    Q_PROPERTY(QGalleryAbstractRequest::Scope scope READ scope WRITE setScope)
    Q_PROPERTY(QVariant scopeItemId READ scopeItemId WRITE setScopeItemId)
    Q_PROPERTY(int count READ count NOTIFY countChanged)
public:
    explicit QGalleryCountRequest(QObject *parent = 0);
    explicit QGalleryCountRequest(QAbstractGallery *gallery, QObject *parent = 0);
    ~QGalleryCountRequest();

    bool isLive() const;
    void setLive(bool live);

    QString itemType() const;
    void setItemType(const QString &type);

    QGalleryFilter filter() const;
    void setFilter(const QGalleryFilter &filter);

    QGalleryAbstractRequest::Scope scope() const;
    void setScope(QGalleryAbstractRequest::Scope scope);

    QVariant scopeItemId() const;
    void setScopeItemId(const QVariant &id);

    int count() const;

Q_SIGNALS:
    void countChanged();

protected:
    void setResponse(QGalleryAbstractResponse *response);

private:
    Q_PRIVATE_SLOT(d_func(), void _q_itemsChanged())
};

QTM_END_NAMESPACE

#endif
