TEMPLATE = lib
TARGET = QtLocation
QT = core gui network sql

include(../../common.pri)

DEFINES += QT_BUILD_LOCATION_LIB QT_MAKEDLL

INCLUDEPATH += $$MW_LAYER_SYSTEMINCLUDE
INCLUDEPATH += .
DEPENDPATH += .

PUBLIC_HEADERS += \
                    qgeoaddress.h \
                    qgeoareamonitor.h \
                    qgeoboundingbox.h \
                    qgeocoordinate.h \
                    qgeomapcircleobject.h \
                    qgeomapdata.h \
                    qgeomapmarkerobject.h \
                    qgeomapobject.h \
                    qgeomappingmanager.h \
                    qgeomappingmanagerengine.h \
                    qgeomappolygonobject.h \
                    qgeomappolylineobject.h \
                    qgeomaprectangleobject.h \
                    qgeomaprouteobject.h \
                    qgeomapwidget.h \
                    qgeonavigationinstruction.h \
                    qgeoplace.h \
                    qgeopositioninfo.h \
                    qgeopositioninfosource.h \
                    qgeoroute.h \
                    qgeoroutereply.h \
                    qgeorouterequest.h \
                    qgeoroutesegment.h \
                    qgeoroutingmanager.h \
                    qgeoroutingmanagerengine.h \
                    qgeosatelliteinfo.h \
                    qgeosatelliteinfosource.h \
                    qgeosearchmanager.h \
                    qgeosearchmanagerengine.h \
                    qgeosearchreply.h \
                    qgeoserviceprovider.h \
                    qgeoserviceproviderfactory.h \
                    qgeotiledmapdata.h \
                    qgeotiledmappingmanagerengine.h \
                    qgeotiledmapreply.h \
                    qgeotiledmaprequest.h \
                    qlandmark.h \
                    qlandmarkabstractrequest.h \
                    qlandmarkattributefilter.h \
                    qlandmarkboxfilter.h \
                    qlandmarkcategory.h \
                    qlandmarkcategoryfetchrequest.h \
                    qlandmarkcategoryfilter.h \
                    qlandmarkcategoryid.h \
                    qlandmarkcategoryidfetchrequest.h \
                    qlandmarkcategoryremoverequest.h \
                    qlandmarkcategorysaverequest.h \
                    qlandmarkdistancesort.h \
                    qlandmarkexportrequest.h \
                    qlandmarkfetchhint.h \
                    qlandmarkfetchrequest.h \
                    qlandmarkfilter.h \
                    qlandmarkid.h \
                    qlandmarkidfetchrequest.h \
                    qlandmarkidfilter.h \
                    qlandmarkimportrequest.h \
                    qlandmarkintersectionfilter.h \
                    qlandmarkmanager.h \
                    qlandmarkmanagerengine.h \
                    qlandmarkmanagerenginefactory.h \
                    qlandmarknamefilter.h \
                    qlandmarknamesort.h \
                    qlandmarkproximityfilter.h \
                    qlandmarkremoverequest.h \
                    qlandmarksaverequest.h \
                    qlandmarksortorder.h \
                    qlandmarkunionfilter.h \
                    qnmeapositioninfosource.h

PRIVATE_HEADERS += \
                    qgeoaddress_p.h \
                    qgeoboundingbox_p.h \
                    qgeomapcircleobject_p.h \
                    qgeomapdata_p.h \
                    qgeomapmarkerobject_p.h \
                    qgeomapobject_p.h \
                    qgeomappingmanager_p.h \
                    qgeomappingmanagerengine_p.h \
                    qgeomappolygonobject_p.h \
                    qgeomappolylineobject_p.h \
                    qgeomaprectangleobject_p.h \
                    qgeomaprouteobject_p.h \
                    qgeomapwidget_p.h \
                    qgeonavigationinstruction_p.h \
                    qgeoplace_p.h \
                    qgeoroute_p.h \
                    qgeoroutereply_p.h \
                    qgeorouterequest_p.h \
                    qgeoroutesegment_p.h \
                    qgeoroutingmanager_p.h \
                    qgeoroutingmanagerengine_p.h \
                    qgeosearchmanager_p.h \
                    qgeosearchmanagerengine_p.h \
                    qgeosearchreply_p.h \
                    qgeoserviceprovider_p.h \
                    qgeotiledmapdata_p.h \
                    qgeotiledmappingmanagerengine_p.h \
                    qgeotiledmapreply_p.h \
                    qgeotiledmaprequest_p.h \
                    qlandmark_p.h \
                    qlandmarkabstractrequest_p.h \
                    qlandmarkboxfilter_p.h \
                    qlandmarkcategory_p.h \
                    qlandmarkcategoryfilter_p.h \
                    qlandmarkcategoryid_p.h \
                    qlandmarkdistancesort_p.h \
                    qlandmarkfetchhint_p.h \
                    qlandmarkfilehandler_gpx_p.h \
                    qlandmarkfilehandler_lmx_p.h \
                    qlandmarkfilter_p.h \
                    qlandmarkid_p.h \
                    qlandmarkidfilter_p.h \
                    qlandmarkintersectionfilter_p.h \
                    qlandmarkmanager_p.h \
                    qlandmarknamefilter_p.h \
                    qlandmarkproximityfilter_p.h \
                    qlandmarkrequests_p.h \
                    qlandmarksortorder_p.h \
                    qlandmarkunionfilter_p.h \
                    qlocationutils_p.h \
                    qnmeapositioninfosource_p.h

symbian {
    PRIVATE_HEADERS += qgeopositioninfosource_s60_p.h \
                       qmlbackendao_s60_p.h \
                       qgeosatelliteinfosource_s60_p.h \
                       notificationcallback_s60_p.h \
                       notificationsatellitecallback_s60_p.h

    contains(lbt_enabled, yes) {
        PRIVATE_HEADERS += \
                       qgeoareamonitor_s60_p.h \
                       qmlbackendmonitorao_s60_p.h \
                       qmlbackendmonitorcreatetriggerao_s60_p.h \
                       qmlbackendmonitorinfo_s60_p.h \
                       qmlbackendtriggerchangeao_s60_p.h \
                       notificationmonitorcallback_s60_p.h
    }

    SOURCES += qgeopositioninfosource_s60.cpp \
               qgeosatelliteinfosource_s60.cpp \
               qmlbackendao_s60.cpp

    contains(lbt_enabled, yes) {
        SOURCES += \
               qgeoareamonitor_s60.cpp \
               qmlbackendmonitorao_s60.cpp \
               qmlbackendmonitorcreatetriggerao_s60.cpp \
               qmlbackendmonitorinfo_s60.cpp \
               qmlbackendtriggerchangeao_s60.cpp
    }
}

wince* {
    PRIVATE_HEADERS += qgeopositioninfosource_wince_p.h \
                       qgeosatelliteinfosource_wince_p.h \
                       qgeoinfothread_wince_p.h
    SOURCES += qgeopositioninfosource_wince.cpp \
               qgeosatelliteinfosource_wince.cpp \
               qgeoinfothread_wince.cpp
    LIBS += -lgpsapi
}

maemo6 {
    CONFIG += qdbus link_pkgconfig
    SOURCES += qgeopositioninfosource_maemo.cpp \
                qgeosatelliteinfosource_maemo.cpp \
                dbuscomm_maemo.cpp \
                dbusserver_maemo.cpp
    PRIVATE_HEADERS += qgeopositioninfosource_maemo_p.h \
                qgeosatelliteinfosource_maemo_p.h \
                dbuscomm_maemo_p.h \
                dbusserver_maemo_p.h
}

maemo5 {
    CONFIG += qdbus link_pkgconfig
    SOURCES += gconfitem.cpp \
               liblocationwrapper.cpp \
               qgeopositioninfosource_maemo5.cpp \
               qgeosatelliteinfosource_maemo5.cpp \
               qgeoareamonitor_maemo.cpp
    HEADERS += gconfitem_p.h  \
               liblocationwrapper_p.h \
               qgeopositioninfosource_maemo5_p.h \
               qgeosatelliteinfosource_maemo5_p.h \
               qgeoareamonitor_maemo_p.h
    PKGCONFIG += glib-2.0  gconf-2.0
    CONFIG += create_pc create_prl
    LIBS += -llocation
    QMAKE_PKGCONFIG_REQUIRES = glib-2.0 gconf-2.0
    pkgconfig.path = $$QT_MOBILITY_LIB/pkgconfig
    pkgconfig.files = QtLocation.pc
}
HEADERS += $$PUBLIC_HEADERS $$PRIVATE_HEADERS

SOURCES += \
            qgeoaddress.cpp \
            qgeoareamonitor.cpp \
            qgeoboundingbox.cpp \
            qgeocoordinate.cpp \
            qgeomapcircleobject.cpp \
            qgeomapdata.cpp \
            qgeomapmarkerobject.cpp \
            qgeomapobject.cpp \
            qgeomappingmanager.cpp \
            qgeomappingmanagerengine.cpp \
            qgeomappolygonobject.cpp \
            qgeomappolylineobject.cpp \
            qgeomaprectangleobject.cpp \
            qgeomaprouteobject.cpp \
            qgeomapwidget.cpp \
            qgeonavigationinstruction.cpp \
            qgeoplace.cpp \
            qgeopositioninfo.cpp \
            qgeopositioninfosource.cpp \
            qgeoroute.cpp \
            qgeoroutereply.cpp \
            qgeorouterequest.cpp \
            qgeoroutesegment.cpp \
            qgeoroutingmanager.cpp \
            qgeoroutingmanagerengine.cpp \
            qgeosatelliteinfo.cpp \
            qgeosatelliteinfosource.cpp \
            qgeosearchmanager.cpp \
            qgeosearchmanagerengine.cpp \
            qgeosearchreply.cpp \
            qgeoserviceprovider.cpp \
            qgeoserviceproviderfactory.cpp \
            qgeotiledmapdata.cpp \
            qgeotiledmappingmanagerengine.cpp \
            qgeotiledmapreply.cpp \
            qgeotiledmaprequest.cpp \
            qlandmark.cpp \
            qlandmarkabstractrequest.cpp \
            qlandmarkattributefilter.cpp \
            qlandmarkboxfilter.cpp \
            qlandmarkcategory.cpp \
            qlandmarkcategoryfetchrequest.cpp \
            qlandmarkcategoryfilter.cpp \
            qlandmarkcategoryid.cpp \
            qlandmarkcategoryidfetchrequest.cpp \
            qlandmarkcategoryremoverequest.cpp \
            qlandmarkcategorysaverequest.cpp \
            qlandmarkdistancesort.cpp \
            qlandmarkexportrequest.cpp \
            qlandmarkfetchhint.cpp \
            qlandmarkfetchrequest.cpp \
            qlandmarkfilehandler_gpx.cpp \
            qlandmarkfilehandler_lmx.cpp \
            qlandmarkfilter.cpp \
            qlandmarkid.cpp \
            qlandmarkidfetchrequest.cpp \
            qlandmarkidfilter.cpp \
            qlandmarkimportrequest.cpp \
            qlandmarkintersectionfilter.cpp \
            qlandmarkmanager.cpp \
            qlandmarkmanager_p.cpp \
            qlandmarkmanagerengine.cpp \
            qlandmarkmanagerenginefactory.cpp \
            qlandmarknamefilter.cpp \
            qlandmarknamesort.cpp \
            qlandmarkproximityfilter.cpp \
            qlandmarkremoverequest.cpp \
            qlandmarksaverequest.cpp \
            qlandmarksortorder.cpp \
            qlandmarkunionfilter.cpp \
            qlocationutils.cpp \
            qnmeapositioninfosource.cpp

symbian {
    TARGET.CAPABILITY = ALL -TCB
    TARGET.UID3 = 0x2002AC83
    MMP_RULES += EXPORTUNFROZEN

    INCLUDEPATH += $${EPOCROOT}epoc32/include/osextensions \
                   $${EPOCROOT}epoc32/include/LBTHeaders \
                   $${EPOCROOT}epoc32/include/platform
    LIBS += -llbs
    LIBS += -lefsrv
    contains(lbt_enabled, yes) {
        LIBS += -llbt
    }

    QtLocationDeployment.sources = QtLocation.dll
    QtLocationDeployment.path = /sys/bin
    DEPLOYMENT += QtLocationDeployment
}

CONFIG += middleware
include(../../features/deploy.pri)
